Skip to main content
POST
/
sites
/
{site_id}
/
environments
/
clone
Clone an environment
curl --request POST \
  --url https://api.kinsta.com/v2/sites/{site_id}/environments/clone \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "display_name": "development",
  "is_premium": false,
  "source_env_id": "0010cdaf-0b94-472e-86bd-7edf6fceaa1c"
}
'
{
  "message": "Cloning environment in progress",
  "status": 202,
  "operation_id": "environment:clone-54fb80af-576c-4fdc-ba4f-b596c83f15a1"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

site_id
string
required
Example:

"54fb80af-576c-4fdc-ba4f-b596c83f15a1"

Body

application/json
display_name
string
required
Example:

"development"

is_premium
boolean
required
Example:

false

source_env_id
string
required
Example:

"0010cdaf-0b94-472e-86bd-7edf6fceaa1c"

Response

Cloning environment action started. Check MyKinsta for status

message
string
required
Example:

"Cloning environment in progress"

status
number
required
Example:

202

operation_id
string
Example:

"environment:clone-54fb80af-576c-4fdc-ba4f-b596c83f15a1"